<?php
//aby se stránka nedala zobrazit jinde nez v index.html
if(IsSet($kod) && $kod== "5e7c"):
// soubor umoznujici pristup do databazi nacitajici seznam lidi ve VLSI
require_once ("VLSIgroup.php");
//********* odkaz strankz ye ktere uzivatel prisel
$ref=$_SERVER['HTTP_REFERER'];
// zachovani anglickeho, nebo ceskeho menu do odkazu
if(false===strpos($ref,"indexen")){$ref="index";}else{$ref="indexen";}

// funkce pro vypis rolovacich tlacitek .... $row-aktualni stranka
function rolovani($row,$pocetlistu,$ref)
{if ($pocetlistu>1){

   if ($row==2) {echo("<a href=\"$ref.php?page=oldproj&amp;row=1\"> &lt;&lt;</a>");}
   if ($row>2) {echo("<a href=\"$ref.php?page=oldproj&amp;row=1\"> &lt;&lt;
                      </a>");$pom=$row-1;
                echo(" <a href=\"$ref.php?page=oldproj&amp;row=$pom\"> &lt;
                      </a>");}
   echo(" <span style=\"color:red;\">$row/$pocetlistu </span>");
   if ($row+1==$pocetlistu){echo("<a href=\"$ref.php?page=oldproj&amp;row=$pocetlistu\"> &gt;&gt;</a>");}
   if ($row+1<$pocetlistu) {$pom=$row+1;echo(" <a href=\"$ref.php?page=oldproj&amp;row=$pom\"> &gt;</a> ");
   echo("<a href=\"$ref.php?page=oldproj&amp;row=$pocetlistu\"> &gt;&gt;
                      </a>");
   }}}?>




<h1 class="cent"> Hotové bakalářky, diplomky a SP</h1>
<center>
<b><a href="<?php echo $ref;?>.php?page=offered" style="font-size:1.2em;">Nabízené projekty </a></b>
<b><a href="<?php echo $ref;?>.php?page=currproj" style="margin-left:60px;font-size:1.2em;">Běžící projekty </a></b>
<b><a href="<?php echo $ref;?>.php?page=oldproj" style="margin-left:60px;font-size:1.2em;">Staré projekty </a></b></center>
<br />
<br />


<?php

//pripojeni do DB
if(!file_exists("dbconn.php")){die("Nelze se pripojit k db.");} //kontrola zda dany soubor existuje
 require "dbconn.php";

// spocteni radku k vypsani
$res=$db->query("SELECT COUNT(*) FROM oldproj");
//kontrola zda sme dostali z databaze vysledek a ulozeni do $pocetradku
if (gettype($res) != 'resource' || !pg_numrows($res)) {
     echo ("Nastala chyba. Stránka nebude správně zobrazena");
	} else {
      $res=pg_fetch_row($res);
      $pocetradku=$res[0];
}
//kontrola zda uzivatel nezmenil v odkazu $row na nepripustnou hodnotu
// nejdrive kontrola zda neprisel z odkazu kde row nebylo definovano
//nacteni row
if (!isset($_GET['row'])){$row=1;}else{$row=$_GET['row'];}
// kontrola zda je row cislo
if (is_numeric($row)){
//pretypovani na int, kdyby cislo bylo jineho tvaru
    $row=(int)$row;
//spocteni poctu listu
     $pocetlistu=$pocetradku/pokolika;
     $pocetlistu=ceil($pocetlistu);
//kontrola zda row je v mezich poctu listu
     if ($row<1||$row>$pocetlistu){$row=1;}
}else{$row=1;}

// dotaz na db na vypis projektu
$res=$db->query ("SELECT * FROM oldproj ORDER BY nazev"." LIMIT ".pokolika." OFFSET ".(($row-1)*pokolika));

// zda sme z db dostali kloudny vysledek
if (gettype($res) != 'resource' || !pg_numrows($res)) {
     echo ("Neexistuje žádný záznam.");
	} else {
// vypsani rolovani projektu
//echo " row=$row poc=$pocetlistu $ref";
rolovani($row,$pocetlistu,$ref);

echo("<br />V emailové adrese nahraďte prosím ?at? znakem @<ul>");

//vypisovani po jednom projektu-pouze nenulove hodnoty
while($data = pg_fetch_assoc($res)){
echo "<li>";
echo "<b>".htmlspecialchars($data["nazev"])."</b>";
if ($data["nazeveng"]!==NULL){echo "<br /><b>".htmlspecialchars($data["nazeveng"])."</b>";}
if ($data["anotace"]!==NULL){echo "<div class=\"popis\">".htmlspecialchars($data["anotace"]);}
else {echo "<div class=\"popis\">";}
if ($data["rozsah"]!==NULL){echo "<br /><span class=\"rozsah\">Rozsah: </span>".htmlspecialchars($data["rozsah"]);}
if ($data["literatura"]!==NULL){echo "<br /><span class=\"rozsah\">Literatura: </span>".htmlspecialchars($data["literatura"]);}
if ($data["resitel"]!==NULL){echo "<br /><span class=\"rozsah\">Resitel: </span>".htmlspecialchars($data["resitel"]);}
if ($data["odkaz"]!==NULL){
    if (strncmp($data["odkaz"],"http://",7)==0){
  echo "<br /><span class=\"rozsah\">Odkaz: </span><a target=\"_blank\" href=\"".htmlspecialchars($data["odkaz"])."\"> webová stránka</a>";}else{echo "<br /><span class=\"rozsah\">Odkaz: </span><a target=\"_blank\" href=\"http://".htmlspecialchars($data["odkaz"])."\"> webová stránka</a>";}


  }
echo "<br /><span class=\"rozsah\">Vedoucí porjektu: </span><a href=\"mailto:".$data["zadavatel"]."?at?fel.cvut.cz\"> ".$jmena[$data["zadavatel"]]."</a>";
echo "</div></li>";
}
echo "</ul>";
}
echo("<br /><br />");

//vypsani rolovani
rolovani($row,$pocetlistu,$ref);
//zavreni databaze
$db->close();
?>


<br /><br />
<?php endif;?>
